Skip to main content
GET
/
v1
/
managedPayments
/
credit
/
lines
/
{lineId}
/
transfers
/
{transferId}
Get a credit transfer
curl --request GET \
  --url https://api-sandbox.circle.com/v1/managedPayments/credit/lines/{lineId}/transfers/{transferId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "d01a4466-2ecf-40f9-972f-a5aea5ce3891",
    "amount": {
      "amount": "1000.00",
      "currency": "USD"
    },
    "status": "disbursed",
    "outstanding": {
      "amount": "150.00",
      "currency": "USD"
    },
    "disbursedDate": "2024-08-16T16:40:06.672841Z",
    "dueDate": "2024-08-26T16:40:06.672841Z",
    "createDate": "2024-08-16T16:40:06.672841Z",
    "updateDate": "2024-08-16T16:40:06.672841Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lineId
string<uuid>
required

Universally unique identifier (UUID v4) of the credit line.

Example:

"01c39206-64e9-4e30-8649-4e187cfcbf6d"

transferId
string<uuid>
required

Universally unique identifier (UUID v4) of the credit transfer.

Example:

"2cbbce57-17b2-4133-8f63-3f2d81fc3332"

Response

Successfully retrieved a credit transfer.

data
object

A Managed Payments credit transfer (drawdown) from the credit line.